Subject: New patch available to kill threads of subjects

From: [email-masked] (Paul Buder)
Date: 17 Sep 96 20:43:14 GMT

I asked my boss if I could release this patch I made to pine to the
world as a freebie which hopefully others will improve.  He said fine
so it is available.  It kills subject threads now and for 30 days.
Please read the disclaimer at the end of this message.  In short, if it
blows up your mailbox it's your problem.

The patch is at ftp://ftp.teleport.com/users/paulb/pine/kill-patch 
To apply it you will need gnu patch.  It is patched against pine3.95
but might work with other versions of pine.  Just go to your 
pine3.95/pine directory and type patch < kill-patch and do another
build.  Here is the announcement I sent to the employees here.

=====================================================================

Announcing the Kill command.  Are you sick of reading about particular
subjects which you have no interest in?  Press K.  This will mark the
subject deleted and hidden.  Then when you quit pine and it asks if you
want to expunge articles say yes and those messages are gone.  The
subject is also written to a kill file.  For 30 days any subject marked
with a K will be automatically deleted and hidden when you enter your
inbox.

This is all you need to know unless you hit K by mistake.  If you do,
then hit Z.  This toggles zoom (Pine's word for hiding groups of
messages).  The messages you just marked deleted will now be unhidden.
Arrow to the ones you want and press U to undelete them.

The subject you really wanted is still in your killfile.  Press # to
edit it.  Take the subject line out that you want to read in the future
by arrowing down to it and pressing Control-K to delete the line.
Press Control-X as shown on the bottom to exit.  Pico will say "Save
modified buffer?".  Answer 'y'.  Then it will say "File name to write?
: /home/yourname/.pinekill".  Press Enter.

Please let me know if you find any bugs.  On one hand I have spent a
fair amount of time trying to ensure there aren't any.  On the other
hand there are around ten pages of new code, a lot of which involve
calling pine routines, some of which I don't fully understand.

Enjoy!